> ## Documentation Index
> Fetch the complete documentation index at: https://developer.tazapay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch Payouts



## OpenAPI

````yaml get /v3/settlement/{id}/transactions/payout
openapi: 3.1.0
info:
  title: sandbox
  version: '3'
servers:
  - url: https://service-sandbox.tazapay.com
security:
  - sec0: []
paths:
  /v3/settlement/{id}/transactions/payout:
    get:
      summary: Fetch Payouts
      operationId: fetch-payouts
      parameters:
        - name: id
          in: path
          description: ID of the settlement you want to fetch the list of payouts for
          schema:
            type: string
          required: true
        - name: ending_before
          in: query
          description: A cursor for use in pagination. Takes a payout ID as input
          schema:
            type: string
        - name: starting_after
          in: query
          description: A cursor for use in pagination. Takes a payout ID as input
          schema:
            type: string
        - name: limit
          in: query
          description: >-
            The number of payouts to be fetched. By default 10, can be from 1 to
            100
          schema:
            type: integer
            format: int32
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    status: success
                    message: ''
                    data:
                      has_more: false
                      object: list
                      result:
                        - balance_transaction_id: btr_46294287492
                          id: pot_coai2bk30hnb6csf6500
                        - balance_transaction_id: btr_39833583hahfai
                          id: pot_coai1ms30hnb6csf64m0
                        - balance_transaction_id: btr_8h9ruwfiafba
                          id: pot_coahtnc30hnb6csf62o0
                        - balance_transaction_id: btr_3984hrhfwfwf
                          id: pot_coahrt430hnb6csf61n0
                        - balance_transaction_id: btr_98hf89h9rhh
                          id: pot_coahpt430hnb6csf60vg
                        - balance_transaction_id: btr_398th3hht3t983th
                          id: pot_coahosk30hnb6csf606g
                        - balance_transaction_id: btr_8934hub3iutb3
                          id: pot_coahn2c30hnb6csf5v1g
                        - balance_transaction_id: btr_384ht3ht3ht3th
                          id: pot_coajfkc30hnb6csf72qg
              schema:
                type: object
                properties:
                  status:
                    type: string
                  message:
                    type: string
                  data:
                    type: object
                    properties:
                      has_more:
                        type: boolean
                        default: true
                      object:
                        type: string
                      result:
                        type: array
                        items:
                          type: object
                          properties:
                            balance_transaction_id:
                              type: string
                            id:
                              type: string
        '400':
          description: Bad Request
          content:
            application/json:
              examples:
                Result:
                  value: '{}'
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      deprecated: false
components:
  schemas:
    ErrorResponse:
      type: object
      description: Standard error response structure
      properties:
        status:
          type: string
          enum:
            - error
          description: Always 'error' for error responses
        message:
          type: string
          description: High-level error message
        errors:
          type: array
          description: Array of detailed error objects
          items:
            type: object
            properties:
              code:
                type: integer
                description: Specific error code
              message:
                type: string
                description: Detailed error message
              remarks:
                type: string
                description: Additional context or suggestions for resolution
  securitySchemes:
    sec0:
      type: http
      scheme: basic

````